## PDC Config Change request PDC Config Change request |

## Functions

QmiMessagePdcConfigChangeInput * | qmi_message_pdc_config_change_input_new ()
QmiMessagePdcConfigChangeInput * | qmi_message_pdc_config_change_input_ref ()
void | qmi_message_pdc_config_change_input_unref ()
gboolean | qmi_message_pdc_config_change_input_get_type_with_id ()
gboolean | qmi_message_pdc_config_change_input_set_type_with_id ()
QmiMessagePdcConfigChangeOutput * | qmi_message_pdc_config_change_output_ref ()
void | qmi_message_pdc_config_change_output_unref ()
gboolean | qmi_message_pdc_config_change_output_get_type_with_id ()
gboolean | qmi_message_pdc_config_change_output_get_result ()
void | qmi_client_pdc_config_change ()
QmiMessagePdcConfigChangeOutput * | qmi_client_pdc_config_change_finish ()

## Types and Values

| QmiMessagePdcConfigChangeInput
| QmiConfigTypeAndId
| QmiMessagePdcConfigChangeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcConfigChangeInput
        ╰── QmiMessagePdcConfigChangeOutput

## Description

## Functions

### qmi_message_pdc_config_change_input_new ()

    QmiMessagePdcConfigChangeInput *
    qmi_message_pdc_config_change_input_new
                                   (void);

Allocates a new QmiMessagePdcConfigChangeInput.

#### Returns

the newly created QmiMessagePdcConfigChangeInput. The returned value should be freed with `qmi_message_pdc_config_change_input_unref()`.

Since: 1.18

### qmi_message_pdc_config_change_input_ref ()

    QmiMessagePdcConfigChangeInput *
    qmi_message_pdc_config_change_input_ref
                                   (QmiMessagePdcConfigChangeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcConfigChangeInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_config_change_input_unref ()

    void
    qmi_message_pdc_config_change_input_unref
                                   (QmiMessagePdcConfigChangeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcConfigChangeInput. |

Since: 1.18

### qmi_message_pdc_config_change_input_get_type_with_id ()

    gboolean
    qmi_message_pdc_config_change_input_get_type_with_id
                                   (QmiMessagePdcConfigChangeInput *self,
                                    QmiConfigTypeAndId *value_type_with_id,
                                    GError **error);

Get the 'Type With Id' field from `self` .

#### Parameters

self | a QmiMessagePdcConfigChangeInput. |
value_type_with_id | a placeholder for the output constant QmiConfigTypeAndId, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_config_change_input_set_type_with_id ()

    gboolean
    qmi_message_pdc_config_change_input_set_type_with_id
                                   (QmiMessagePdcConfigChangeInput *self,
                                    const QmiConfigTypeAndId *value_type_with_id,
                                    GError **error);

Set the 'Type With Id' field in the message.

#### Parameters

self | a QmiMessagePdcConfigChangeInput. |
value_type_with_id | the address of the QmiConfigTypeAndId to set. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_config_change_output_ref ()

    QmiMessagePdcConfigChangeOutput *
    qmi_message_pdc_config_change_output_ref
                                   (QmiMessagePdcConfigChangeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcConfigChangeOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_config_change_output_unref ()

    void
    qmi_message_pdc_config_change_output_unref
                                   (QmiMessagePdcConfigChangeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcConfigChangeOutput. |

Since: 1.18

### qmi_message_pdc_config_change_output_get_type_with_id ()

    gboolean
    qmi_message_pdc_config_change_output_get_type_with_id
                                   (QmiMessagePdcConfigChangeOutput *self,
                                    QmiConfigTypeAndId *value_type_with_id,
                                    GError **error);

Get the 'Type With Id' field from `self` .

#### Parameters

self | a QmiMessagePdcConfigChangeOutput. |
value_type_with_id | a placeholder for the output constant QmiConfigTypeAndId, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_config_change_output_get_result ()

    gboolean
    qmi_message_pdc_config_change_output_get_result
                                   (QmiMessagePdcConfigChangeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcConfigChangeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_config_change ()

    void
    qmi_client_pdc_config_change (QmiClientPdc *self,
                                  QmiMessagePdcConfigChangeInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Config Change request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_config_change_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcConfigChangeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_config_change_finish ()

    QmiMessagePdcConfigChangeOutput *
    qmi_client_pdc_config_change_finish (QmiClientPdc *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_pdc_config_change()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_config_change()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcConfigChangeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_config_change_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcConfigChangeInput

    typedef struct _QmiMessagePdcConfigChangeInput QmiMessagePdcConfigChangeInput;

The QmiMessagePdcConfigChangeInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiConfigTypeAndId

    typedef struct {
        QmiPdcConfigurationType config_type;
        GArray *id;
    } QmiConfigTypeAndId;

A QmiConfigTypeAndId struct.

#### Members

QmiPdcConfigurationType `config_type`; | a QmiPdcConfigurationType. |
GArray *`id`; | a GArray of guint8 elements. |

Since: 1.18

### QmiMessagePdcConfigChangeOutput

    typedef struct _QmiMessagePdcConfigChangeOutput QmiMessagePdcConfigChangeOutput;

The QmiMessagePdcConfigChangeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18